## pyhss 1.0.2~osmocom2.1301.941c

=== debian/changelog ===
pyhss (1.0.2~osmocom2.1301.941c) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 06 Nov 2025 15:37:09 +0000

pyhss (1.0.2~osmocom2) unstable; urgency=medium

  * requirements.txt: upgrade SQLAlchemy
    (https://github.com/nickvsnetworking/pyhss/pull/268)

 -- Oliver Smith <osmith@sysmocom.de>  Thu, 06 Nov 2025 16:17:35 +0100

pyhss (1.0.2~osmocom1) unstable; urgency=medium

  * Current master of PyHSS as of 2025-11-06 (e14ad4bd)
  * === Start of Osmocom-specific patches ===
  * Allow running outside of source tree
    (https://github.com/nickvsnetworking/pyhss/pull/258):
    * tools/hss_Async_client: fix parsing config twice
    * lib/S6a_crypt: remove unused config loading
    * tools/MIB_generator: remove unused config loading
    * tools/databaseUpgrade/alembic/env: config -> alembic_config
    * Rework loading of config.yaml
    * lib/milenage: remove unused sys.path.append
    * Fix running services outside of source tree
    * services: add main() functions
    * pyproject.toml: new file
  * services/apiService: bind to 127.0.0.1
  * services/metricService: bind to 127.0.0.1
  * config: bind to 127.0.0.1
  * config: use sqlite by default
  * config: remove logging section
  * lib/logtool: log service name instead of timestamp
  * debian: initial

 -- Oliver Smith <osmith@sysmocom.de>  Thu, 06 Nov 2025 09:58:07 +0100

## pyhss 1.0.2~osmocom3.1307.c798

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 07 Nov 2025 14:03:08 +0000

pyhss (1.0.2~osmocom3) unstable; urgency=medium

  * Rebase on current master of PyHSS (5abebb853)

 -- Oliver Smith <osmith@sysmocom.de>  Fri, 07 Nov 2025 14:57:07 +0100

## pyhss 1.0.2~osmocom3.1307.c798.202511071800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202511071800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 07 Nov 2025 18:02:05 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202511081800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202511081800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 08 Nov 2025 18:02:00 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202511091800

=== requirements.txt ===
aiohttp
Flask==2.2.3
flask_restx==1.1.0
Jinja2==3.1.2
mongo==0.2.0
prometheus_client==0.16.0
pycryptodome==3.17
pymongo==4.3.3
pysctp==0.7.2
pyosmocom==0.0.11
comp128==1.0.0
alembic
pysnmp==4.4.12
PyYAML
redis==5.0.0
Requests==2.31.0
SQLAlchemy==2.0.44
SQLAlchemy_Utils==0.41.1
Werkzeug==2.2.3
mysqlclient
prometheus_flask_exporter
pydantic==2.8.2
pydantic_core==2.20.1
tzlocal==4.3
influxdb==5.3.1
xmltodict==0.14.2

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202511091800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 09 Nov 2025 18:02:01 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202511101800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202511101800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 10 Nov 2025 18:02:01 +0000

=== debian/rules ===
#! /usr/bin/make -f
export DH_VIRTUALENV_INSTALL_ROOT=/opt/venvs
PACKAGE=$(shell dh_listpackages)
DH_VENV_DIR=debian/$(PACKAGE)$(DH_VIRTUALENV_INSTALL_ROOT)/$(PACKAGE)

ifneq ("$(wildcard debian/deps)","")
export PIP_NO_INDEX=1
export PIP_FIND_LINKS=debian/deps
endif

export PIP_QUIET=0
export PIP_VERBOSE=1

%:
	dh $@ --with python-virtualenv

override_dh_virtualenv:
	dh_virtualenv --python python3
	$(DH_VENV_DIR)/bin/python \
		-m pip \
		uninstall \
		--yes \
		setuptools \
		wheel \
		pip

# dh_installsysusers needs to be explicitly called until debhelper-compat >= 14
override_dh_install:
	dh_install
	dh_installsysusers

override_dh_dwz:
# Fails on the pip-installed so files due to missing debug symbols etc.
override_dh_strip_nondeterminism:
# Save ~1.5 min of time

## pyhss 1.0.2~osmocom3.1307.c798.202511111800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202511111800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 11 Nov 2025 18:02:04 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202511121801

=== tools/databaseUpgrade/requirements.txt ===
alembic==1.10.3
zipp==3.17.0

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202511121801) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 12 Nov 2025 18:03:30 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202511131800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202511131800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 13 Nov 2025 18:02:02 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202511141800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202511141800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 14 Nov 2025 18:02:00 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202511151800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202511151800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 15 Nov 2025 18:01:57 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202511161800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202511161800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 16 Nov 2025 18:02:00 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202511171800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202511171800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 17 Nov 2025 18:02:01 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202511181800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202511181800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 18 Nov 2025 18:02:01 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202511191800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202511191800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 19 Nov 2025 18:02:15 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202511201800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202511201800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 20 Nov 2025 18:02:03 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202511211800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202511211800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 21 Nov 2025 18:02:00 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202511221800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202511221800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 22 Nov 2025 18:01:59 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202511231800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202511231800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 23 Nov 2025 18:02:05 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202511241800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202511241800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 24 Nov 2025 18:01:59 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202511251800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202511251800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 25 Nov 2025 18:02:01 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202511261800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202511261800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 26 Nov 2025 18:02:01 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202511271800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202511271800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 27 Nov 2025 18:02:00 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202511281800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202511281800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 28 Nov 2025 18:02:02 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202511291800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202511291800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 29 Nov 2025 18:01:58 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202511301800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202511301800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 30 Nov 2025 18:02:01 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512011800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512011800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 01 Dec 2025 18:02:04 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512021800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512021800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 02 Dec 2025 18:02:03 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512031913

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512031913) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 03 Dec 2025 19:15:43 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512041808

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512041808) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 04 Dec 2025 18:12:43 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512051800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512051800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 05 Dec 2025 18:02:03 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512061800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512061800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 06 Dec 2025 18:01:59 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512071800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512071800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 07 Dec 2025 18:02:03 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512081800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512081800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 08 Dec 2025 18:01:59 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512091800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512091800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 09 Dec 2025 18:02:04 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512101800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512101800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 10 Dec 2025 18:02:01 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512111800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512111800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 11 Dec 2025 18:02:02 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512121800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512121800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 12 Dec 2025 18:01:59 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512131800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512131800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 13 Dec 2025 18:01:59 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512141800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512141800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 14 Dec 2025 18:01:59 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512151800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512151800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 15 Dec 2025 18:02:00 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512161800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512161800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 16 Dec 2025 18:01:59 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512171800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512171800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 17 Dec 2025 18:02:02 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512181800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512181800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 18 Dec 2025 18:02:03 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512191800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512191800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 19 Dec 2025 18:02:07 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512201800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512201800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 20 Dec 2025 18:01:59 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512211800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512211800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 21 Dec 2025 18:01:57 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512221800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512221800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 22 Dec 2025 18:02:01 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512231800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512231800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 23 Dec 2025 18:02:00 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512241800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512241800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 24 Dec 2025 18:02:24 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512251800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512251800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 25 Dec 2025 18:02:23 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512261800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512261800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 26 Dec 2025 18:01:57 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512271800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512271800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 27 Dec 2025 18:01:59 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512281800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512281800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 28 Dec 2025 18:02:28 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512291800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512291800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 29 Dec 2025 18:02:02 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512301800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512301800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 30 Dec 2025 18:01:58 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202512311800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202512311800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 31 Dec 2025 18:02:28 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601011800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601011800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 01 Jan 2026 18:02:27 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601021800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601021800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 02 Jan 2026 18:02:27 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601031800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601031800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 03 Jan 2026 18:02:24 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601041800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601041800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 04 Jan 2026 18:02:27 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601051800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601051800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 05 Jan 2026 18:02:27 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601061800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601061800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 06 Jan 2026 18:02:01 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601071800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601071800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 07 Jan 2026 18:02:02 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601081800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601081800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 08 Jan 2026 18:02:01 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601091800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601091800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 09 Jan 2026 18:02:00 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601101800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601101800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 10 Jan 2026 18:02:01 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601111800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601111800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 11 Jan 2026 18:02:03 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601121800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601121800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 12 Jan 2026 18:02:00 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601131800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601131800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 13 Jan 2026 18:02:02 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601141800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601141800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 14 Jan 2026 18:02:06 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601151800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601151800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 15 Jan 2026 18:02:05 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601161800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601161800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 16 Jan 2026 18:02:01 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601171800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601171800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 17 Jan 2026 18:01:59 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601181800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601181800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 18 Jan 2026 18:02:00 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601191800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601191800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 19 Jan 2026 18:02:00 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601201800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601201800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 20 Jan 2026 18:02:01 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601211800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601211800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 21 Jan 2026 18:02:01 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601221800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601221800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 22 Jan 2026 18:02:02 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601231800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601231800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 23 Jan 2026 18:02:04 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601241800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601241800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 24 Jan 2026 18:02:07 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601251800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601251800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 25 Jan 2026 18:01:59 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601261800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601261800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 26 Jan 2026 18:02:09 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601271800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601271800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 27 Jan 2026 18:02:00 +0000

## pyhss 1.0.2~osmocom3.1307.c798.202601281800

=== debian/changelog ===
pyhss (1.0.2~osmocom3.1307.c798.202601281800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 28 Jan 2026 18:02:02 +0000

## pyhss 1.0.2.osmocom2

=== requirements.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 pycryptodome==3.17
 pymongo==4.3.3
 pysctp==0.7.2
-pyosmocom==0.0.11
+pyosmocom
 comp128==1.0.0
 alembic
 pysnmp==4.4.12

=== src/test/Makefile ===
PYTHON ?= python
CPPFLAGS += -I.. $(shell $(PYTHON) -c "from __future__ import print_function; import sys; print('-DPYCRYPTO_' + sys.byteorder.upper() + '_ENDIAN')")
CPPFLAGS += -DHAVE_POSIX_MEMALIGN -DHAVE_STDINT_H
CPPFLAGS += -DSTATIC=""
CFLAGS += -O3 -g -fstrict-aliasing -Wall -Werror

TAPPS:=tests_addmul128_32 tests_addmul128_64 tests_square_32 tests_square_64 tests_product tests_addmul test_endianess\
       test_poly1305_reduce test_poly1305_load_r test_poly1305_load_m test_poly1305_multiply test_poly1305_accumulate\
       test_mont tests_mont_mult tests_ec_ws_64 tests_ec_ws_32 test_pkcs1\
       test_mod25519 test_x25519 tests_mul_25519 tests_ladder_step test_ed25519 test_ed448

ifneq (,$(filter $(shell uname -m),x86_64 i386 i686))
CPPFLAGS += -DHAVE_X86INTRIN_H -DUSE_SSE2 -DHAVE_WMMINTRIN_H -DHAVE_TMMINTRIN_H
CFLAGS += -msse2
TAPPS += test_clmul
endif

ifeq (64bit, $(shell $(PYTHON) -c "from __future__ import print_function; import platform; print(platform.architecture()[0])"))
CPPFLAGS += -DHAVE_UINT128
endif

CPPFLAGS += $(UNDEFS)

TGTS:=$(foreach t,$(TAPPS),build/$t)

test: build ${TGTS}
	set -e && for t in ${TGTS}; do $$t; done

build:
	mkdir build

all: ${$TGTS}

clean:
	rm -fr build common.pyc __pycache__

# ECC
TABLES = build/p256_table.o build/p384_table.o build/p521_table.o

build/p256_table.o: ../p256_table.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -c -o $@ $^

build/p384_table.o: ../p384_table.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -c -o $@ $^

build/p521_table.o: ../p521_table.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -c -o $@ $^

build/tests_ec_ws_64: test_ec_ws.c ../ec_ws.c build/mont_64.o $(TABLES)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $^

build/tests_ec_ws_32: test_ec_ws.c ../ec_ws.c build/mont_32.o $(TABLES)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $^ -DSYS_BITS=32 -UHAVE_UINT128

# addmul128

build/tests_addmul128.c: make_tests_addmul128.py
	$(PYTHON) $^ > $@

build/tests_addmul128_32: build/tests_addmul128.c ../multiply_32.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $^

build/tests_addmul128_64: build/tests_addmul128.c ../multiply_64.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $^

# square

build/tests_square.c: make_tests_square.py
	$(PYTHON) $^ > $@

build/tests_square_32: build/tests_square.c ../multiply_32.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $^

build/tests_square_64: build/tests_square.c ../multiply_64.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $^

# endianess

build/test_endianess: test_endianess.c ../common.h
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $<

# clmul

build/clmul.o: ../ghash_clmul.c
	$(CC) $(CFLAGS) -mssse3 -mpclmul $(CPPFLAGS) -o $@ $< -c

build/test_clmul: test_clmul.c ../common.h build/clmul.o
	$(CC) $(CFLAGS) -mssse3 -mpclmul $(CPPFLAGS) $(LDFLAGS) -o $@ $(filter %.c %.o, $^)

# Poly1305

build/poly1305.o: ../poly1305.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $^ -c

build/test_poly1305_reduce.c: make_tests_poly1305_reduce.py
	$(PYTHON) $^ > $@

build/test_poly1305_load_r.c: make_tests_poly1305_load_r.py
	$(PYTHON) $^ > $@

build/test_poly1305_load_m.c: make_tests_poly1305_load_m.py
	$(PYTHON) $^ > $@

build/test_poly1305_multiply.c: make_tests_poly1305_multiply.py
	$(PYTHON) $^ > $@

build/test_poly1305_accumulate.c: make_tests_poly1305_accumulate.py
	$(PYTHON) $^ > $@

build/test_poly1305_reduce: build/test_poly1305_reduce.c ../common.h build/poly1305.o
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $(filter %.c %.o, $^)

build/test_poly1305_load_r: build/test_poly1305_load_r.c ../common.h build/poly1305.o
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $(filter %.c %.o, $^)

build/test_poly1305_load_m: build/test_poly1305_load_m.c ../common.h build/poly1305.o
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $(filter %.c %.o, $^)

build/test_poly1305_multiply: build/test_poly1305_multiply.c ../common.h build/poly1305.o
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $(filter %.c %.o, $^)

build/test_poly1305_accumulate: build/test_poly1305_accumulate.c ../common.h build/poly1305.o
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $(filter %.c %.o, $^)

# Montgomery

build/mont_32.o: ../mont.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $^ -DSYS_BITS=32 -UHAVE_UINT128

build/mont_64.o: ../mont.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $^ -DSYS_BITS=64

build/test_mont: test_mont.c ../common.h build/mont_32.o
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $(filter %.c %.o, $^)

build/tests_addmul.c: make_tests_addmul.py
	$(PYTHON) $^ > $@

build/tests_addmul: build/tests_addmul.c build/mont_32.o
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $^

build/tests_product.c: make_tests_product.py
	$(PYTHON) $^ > $@

build/tests_product: build/tests_product.c build/mont_32.o
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $^

build/tests_mont_mult.c: make_tests_mont_mult.py
	$(PYTHON) $^ > $@

build/tests_mont_mult: build/tests_mont_mult.c build/mont_32.o
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $^

# pkcs1
build/test_pkcs1: test_pkcs1.c ../common.h ../pkcs1_decode.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $^

# Curve25519
build/test_mod25519: test_mod25519.c ../mod25519.c ../multiply_32.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $^

build/tests_mul_25519.c: make_tests_mul_25519.py
	$(PYTHON) $^ > $@

build/tests_mul_25519: build/tests_mul_25519.c ../mod25519.c ../multiply_32.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $^

build/test_x25519: test_x25519.c ../x25519.c ../multiply_32.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $^

build/tests_ladder_step.c: make_tests_ladder_step.py
	$(PYTHON) $^ > $@

build/tests_ladder_step: build/tests_ladder_step.c ../x25519.c ../multiply_32.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $^

# Ed25519
build/test_ed25519: test_ed25519.c ../ed25519.c ../multiply_32.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $^

# Ed448
build/test_ed448: test_ed448.c ../ed448.c build/mont_64.o
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $^

=== debian/changelog ===
pyhss (1.0.2.osmocom2) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom latest feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 06 Nov 2025 15:26:50 +0000

=== debian/control ===
Source: pyhss
Section: devel
Priority: optional
Maintainer: Oliver Smith <osmith@sysmocom.de>
Build-Depends:
	cython3,
	debhelper-compat (= 13),
	default-libmysqlclient-dev,
	dh-virtualenv (>= 1.0),
	libsctp-dev,
	pkg-config,
	python3-build,
	python3-dev,
	python3-pip,
	python3-setuptools,
Standards-Version: 4.7.0

Package: pyhss
Architecture: any
Depends:
	${python3:Depends},
	${misc:Depends},
	redis,
	systemd-sysusers,
Description: Python Home Subscriber Server implementing Diameter / 3GPP Interfaces

## pyhss 1.0.2.osmocom3

=== debian/changelog ===
pyhss (1.0.2.osmocom3) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom latest feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 07 Nov 2025 14:00:50 +0000
